//
// Select Menu
// ------------------------------


// wrapper around the menu

.Select-menu-outer {
	// Unfortunately, having both border-radius and allows scrolling using overflow defined on the same
	// element forces the browser to repaint on scroll.  However, if these definitions are split into an
	// outer and an inner element, the browser is able to optimize the scrolling behavior and does not
	// have to repaint on scroll.
	background-color: $select-input-bg;
	border: 1px solid $select-input-border-color;
  border-radius: $select-input-border-radius;
	box-shadow: $select-menu-box-shadow;
	box-sizing: border-box;
	margin-top: 3px;
	max-height: $select-menu-max-height;
	position: absolute;
	top: 100%;
	width: 100%;
  z-index: $select-menu-zindex;
	-webkit-overflow-scrolling: touch;
  overflow-y: auto;
}


// wrapper

.Select-menu {
	max-height: ($select-menu-max-height - 2px);
}


// options

.Select-option {
	box-sizing: border-box;
  height: 46px;
	background-color: $select-option-bg;
	color: $select-option-color;
	cursor: pointer;
	display: block;
	padding: $select-padding-vertical $select-padding-horizontal;
  border-bottom: 1px solid #e3dede;

	&:last-child {
		@include border-bottom-radius( $select-input-border-radius );
	}

  &:first-child {
    @include border-top-radius( $select-input-border-radius );
  }

	&.is-selected {
		background-color: $select-option-selected-bg;
		color: $select-option-selected-color;
	}

	&.is-focused {
		background-color: $select-option-focused-bg;
		color: $select-option-focused-color;
	}

	&.is-disabled {
		color: $select-option-disabled-color;
		cursor: default;
	}

}


// no results

.Select-noresults {
	box-sizing: border-box;
	color: $select-noresults-color;
	cursor: default;
	display: block;
	padding: $select-padding-vertical $select-padding-horizontal;
}

.appointment-scheduler-select {
  .Select-menu-outer {
    border: 1px solid #ABABAB;
    margin-top: 5px;
    border-radius: 4px;
    box-shadow: 0 4px 4px 2px rgba(0,0,0,0.22);
  }
  .Select-option {
    height: 51px;
    padding: 15px 20px;
    color: #282A2B;
    &:first-child {
      border-top-left-radius: 4px;
      border-top-right-radius: 4px;
    }
    &:last-child {
      border-bottom-left-radius: 4px;
      border-bottom-right-radius: 4px;
    }
    &:not(:last-child){
      border-bottom: 1px solid #DADADA;
    }
  }
}
